## libapache2-mod-authn-yubikey 1.0

=== Makefile ===
##
##  Makefile -- Build procedure for sample authn_yubikey Apache module
##  Autogenerated via ``apxs -n authn_yubikey -g''.
##

builddir=.
top_srcdir=../../apache228-install
top_builddir=../../apache228-install
include ../../apache228-install/build/special.mk

#   the used tools
APXS=apxs
APACHECTL=apachectl

#   additional defines, includes and libraries
#DEFS=-Dmy_define=my_value
DEFS=-DYK_PACKAGE=\"mod_authn_yubikey\" -DYK_PACKAGE_VERSION=\"0.1\"

#INCLUDES=-Imy/include/dir
#LIBS=-Lmy/lib/dir -lmylib
LIBS=-lcurl

#   the default target
all: local-shared-build install

#   install the shared object file into Apache 
install: install-modules-yes

#   cleanup
clean:
	-rm -f mod_authn_yubikey.o mod_authn_yubikey.lo mod_authn_yubikey.slo mod_authn_yubikey.la 

#   simple test
test: reload
	lynx -mime_header http://localhost/authn_yubikey

#   install and activate shared object by reloading Apache to
#   force a reload of the shared object file
reload: install restart

#   the general Apache start/restart/stop
#   procedures
start:
	$(APACHECTL) start
restart:
	$(APACHECTL) restart
stop:
	$(APACHECTL) stop

=== debian/changelog ===
libapache2-mod-authn-yubikey (1.0-4) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.6.1 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.
  * Trim trailing whitespace.
  * Added libcurl4-gnutls-dev as a alternative build dependency
    to libcurl4-openssl-dev.
  * Added 1020-clean-target.patch make source rebuildable. (Closes: #1046713)
  * Added upstream-contact to d/copyright.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 26 Nov 2024 08:45:42 +0100

libapache2-mod-authn-yubikey (1.0-3) unstable; urgency=medium

  * QA upload.
  * Make package reproducible by stop embedding the build path in
    compiled files. Thanks Vagrant Cascadian! (Closes: #1011501)
  * Update homepage. (Closes: #974673)
  * Bump debhelper compat level to 13.
  * Bump Standards-Version to 4.6.1.
  * Remove obsolete Lintian override.

 -- Philip Rinn <rinni@debian.org>  Fri, 11 Nov 2022 23:11:35 +0100

libapache2-mod-authn-yubikey (1.0-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to the QA group.
  * Drop hard-coded dependency on libcurl3.  Closes: #900434
  * dh 11, R³, priority optional.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 05 Jun 2018 02:05:25 +0200

libapache2-mod-authn-yubikey (1.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump debhelper compat level to 10.
  * Add patch from Fernando Seiti Furusato to fix FTBFS.  Closes: #725536
  * Move clean item from d/rules to d/clean.
  * d/control:
    + Drop build-dependency on now virtual-only dh-apache2.
    + Fix typo in package description.  Closes: #777029
  * d/copyright:
    + Update URL of the format specification.
    + Fix DEP-5 syntax.
  * Bump Standards-Version to 3.9.8, no changes needed.
  * Add lintian override for bogus tag
    apache2-module-depends-on-real-apache2-package.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 10 Mar 2017 19:15:34 +0100

libapache2-mod-authn-yubikey (1.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Port to Apache 2.4 (closes: #666806).

 -- Colin Watson <cjwatson@debian.org>  Wed, 10 Jul 2013 10:58:34 +0100

libapache2-mod-authn-yubikey (1.0-1) unstable; urgency=low

  * Initial release (Closes: #612810)

 -- Alexandre De Dommelin <adedommelin@tuxz.net>  Thu, 10 Feb 2011 20:10:21 +0000

=== debian/control ===
Source: libapache2-mod-authn-yubikey
Section: web
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: apache2-dev,
               debhelper-compat (= 13),
               libcurl4-openssl-dev | libcurl4-gnutls-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://yubikey.coffeecrew.org
Vcs-Browser: https://salsa.debian.org/debian/libapache2-mod-authn-yubikey
Vcs-Git: https://salsa.debian.org/debian/libapache2-mod-authn-yubikey.git

Package: libapache2-mod-authn-yubikey
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Yubikey authentication provider for Apache
 The mod_authn_yubikey module is an authentication provider
 for the Apache platform. It leverages the YubiKey which is
 a small token that acts as an authentication device.
 .
 The mod_authn_yubikey module provides one and two factor
 authentication for your website and is completely independent
 from the technology that implements your website (like CGI, JSP or PHP).

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with apache2

override_dh_auto_build:
	apxs2 -DYK_PACKAGE=\\\"libapache2_mod_authn_yubikey\\\" \
		-DYK_PACKAGE_VERSION=\\\"0.1\\\" -I. -Wc,-ffile-prefix-map=$(CURDIR)=. -Wc -c -lcurl \
		mod_authn_yubikey.c libykclient.c libykclient.slo mod_authn_yubikey.slo

=== debian/watch ===
# Empty file as upstream doesn't release a versionned tarball at the moment.
